/*
    Предрейсовые осмотры - мобильное приложение
    Общий компонент текста
*/

//---------------------
//Подключение библиотек
//---------------------

const React = require('react'); //React
const { Text } = require('react-native'); //Базовый компонент текста
const styles = require('../../styles/common/AppText.styles'); //Стили текста

//-----------
//Тело модуля
//-----------

//Общий текстовый компонент приложения
function AppText({ style, children, ...restProps }) {
    return (
        <Text style={[styles.text, style]} {...restProps}>
            {children}
        </Text>
    );
}

//----------------
//Интерфейс модуля
//----------------

module.exports = AppText;
